@ECHO OFF
REM **************************************************************************
REM
REM CHECK.BAT To check for corrupt archives.
REM Corrupt archives are moved to the BROKEN directory.
REM
REM %1 = Name of archive to test
REM %2 = Extension
REM %3 = Broken archives dir
REM %4 = Node Number
REM %5 = Conference number (like in CONFCFG.x)
REM 
REM **************************************************************************
if %2==ZIP goto ZIP
if %2==ARJ goto ARJ
if %2==TXT goto TXT
goto end

:ZIP
pkunzip %1 -T >FILEVIEW.%4 
if ErrorLevel=0 goto ADDZIP
REM FILE CONTAINS ERRORS!
Move %1 %3 >NUL
goto end

:ARJ
arj T %1 >FILEVIEW.%4 
if ErrorLevel=0 goto ADDARJ
REM FILE CONTAINS ERRORS!
Move %1 %3 >NUL
goto end

:TXT
goto end

:ADDARJ
goto end

:ADDZIP
goto end

:END

